wdttb: XWdtTb Struct Reference

| wdttb Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XWdtTb Struct Reference
Wdttb_v4_5

The XWdtTb driver instance data. More...

## Data Fields
XWdtTb_Config | Config
| Hardware Configuration. More...
u32 | IsReady
| Device is initialized and ready. More...
u32 | IsStarted
| Device watchdog timer is running. More...
u32 | EnableFailCounter
| Fail counter, 0 = Disable, 1 = Enable. More...
u32 | EnableWinMode
| Enable Window WDT Method,0= DIsable,1=Enable. More...

## Detailed Description

The XWdtTb driver instance data.

The user is required to allocate a variable of this type for every watchdog/timer device in the system. A pointer to a variable of this type is then passed to the driver API functions.

## Field Documentation

XWdtTb_Config XWdtTb::Config

Hardware Configuration.

Referenced by WdtTbExample(), WdtTbIntrExample(), WdtTbSelfTestExample(), XWdtTb_AlwaysEnable(), XWdtTb_CfgInitialize(), XWdtTb_ClearLastEvent(), XWdtTb_ClearResetPending(), XWdtTb_DisableExtraProtection(), XWdtTb_DisableFailCounter(), XWdtTb_DisablePsm(), XWdtTb_DisableSst(), XWdtTb_EnableExtraProtection(), XWdtTb_EnableFailCounter(), XWdtTb_EnablePsm(), XWdtTb_EnableSst(), XWdtTb_GetByteCount(), XWdtTb_GetByteSegment(), XWdtTb_Initialize(), XWdtTb_IntrClear(), XWdtTb_IsGenericWdtFWExpired(), XWdtTb_IsWdtExpired(), XWdtTb_ProgramWDTWidth(), XWdtTb_RestartWdt(), XWdtTb_SelfTest(), XWdtTb_SetByteCount(), XWdtTb_SetByteSegment(), XWdtTb_SetWindowCount(), XWdtTb_Start(), and XWdtTb_Stop().

u32 XWdtTb::EnableFailCounter

Fail counter, 0 = Disable, 1 = Enable.

Referenced by XWdtTb_CfgInitialize(), XWdtTb_DisableFailCounter(), XWdtTb_EnableFailCounter(), and XWdtTb_Initialize().

u32 XWdtTb::EnableWinMode

Enable Window WDT Method,0= DIsable,1=Enable.

Referenced by WdtTbSelfTestExample(), XWdtTb_AlwaysEnable(), XWdtTb_CfgInitialize(), XWdtTb_ClearLastEvent(), XWdtTb_ClearResetPending(), XWdtTb_DisableExtraProtection(), XWdtTb_DisableFailCounter(), XWdtTb_DisablePsm(), XWdtTb_DisableSst(), XWdtTb_EnableExtraProtection(), XWdtTb_EnableFailCounter(), XWdtTb_EnablePsm(), XWdtTb_EnableSst(), XWdtTb_GetByteCount(), XWdtTb_GetByteSegment(), XWdtTb_Initialize(), XWdtTb_IntrClear(), XWdtTb_IsWdtExpired(), XWdtTb_ProgramWDTWidth(), XWdtTb_RestartWdt(), XWdtTb_SelfTest(), XWdtTb_SetByteCount(), XWdtTb_SetByteSegment(), XWdtTb_SetWindowCount(), XWdtTb_Start(), and XWdtTb_Stop().

u32 XWdtTb::IsReady

Device is initialized and ready.

Referenced by XWdtTb_CfgInitialize(), XWdtTb_Initialize(), XWdtTb_IsWdtExpired(), XWdtTb_RestartWdt(), XWdtTb_SelfTest(), XWdtTb_Start(), and XWdtTb_Stop().

u32 XWdtTb::IsStarted

Device watchdog timer is running.

Referenced by XWdtTb_CfgInitialize(), and XWdtTb_Initialize().